# ulib/tiddlywiki

## `twget_version`
~~~
lire le numéro de version dans le fichier $1
~~~
## `twdump_header`
~~~
lire et afficher le contenu avant-storeArea du tiddlywiki $1
~~~
## `twdump_footer`
~~~
lire et afficher le contenu après-storeArea du tiddlywiki $1
~~~
## `twdump_storeArea`
~~~
lire et afficher le storeArea dans le tiddlywiki $1
~~~
## `twreplace_storeArea`
~~~
dans le tiddlywiki $1, remplacer le storeArea par le fichier $2 (par défaut, lu sur stdin)
~~~
## `twupgrade`
~~~
mettre à jour le tiddlywiki $1 sur la base du tiddlywiki plus récent $2
~~~
## `twdate_curtwp`
~~~
obtenir la date courante dans le format "dd/mm/YYYY HH:MM" exprimée dans
l'heure locale
$1 est éventuellement la date exprimée en nombre de secondes depuis
l'epoch, exprimée dans l'heure locale
~~~
## `twdate_tid2twp`
~~~
Transformer $1, une date de la forme "YYYYmmddHHMM" exprimée dans le
timezone UTC en une chaine "dd/mm/YYYY HH:MM" exprimée dans l'heure locale
Si $1 n'est pas dans le bon format, ne rien afficher
~~~
## `twdate_curtid`
~~~
obtenir la date courante dans le format "YYYYmmddHHMM" exprimée dans le
timezone UTC
$1 est éventuellement la date exprimée en nombre de secondes depuis
l'epoch, exprimée dans l'heure locale
~~~
## `twdate_twp2tid`
~~~
Transformer $1, une date de la forme "dd/mm/YYYY HH:MM" exprimée en heure
locale en une chaine "YYYYmmddHHMM" exprimée dans le timezone UTC
Si $1 n'est pas dans le bon format, ne rien afficher
~~~
## `twdump_tiddlers`
~~~
dumper les tiddlers du fichier $1 généré avec twdump_storeArea() sous
forme d'une liste d'appel de fonction '__tiddler_data title creator
modifier created modified tags changecount content'
Les arguments de la fonction sont les valeurs brutes du tiddler, qui ont
simplement été corrigées avec unquote_html()
~~~
## `dump_tiddler`
## `twdump_twpage`
~~~
Dumper le contenu de la twpage $1 sous forme d'un appel à une function
'__twpage_data title creator modifier created modified tags changecount
content'
Les arguments de la fonction sont les valeurs brutes de la twpage, sauf
que le champ modified contient toujours la date de dernière modification
du fichier.
~~~
## `twwrite_tiddler`
~~~
Ecrire sur STDOUT le tiddler correspondant aux paramètres sont spécifiés
sur la ligne de commande. Les arguments sont les valeurs brutes prises de
la twpage, telles qu'elles sont générées par twdump_twpage()
~~~
## `twcheck_twpage_modified`
~~~
Vérifier si la twpage $1 peut être écrasée par un tiddler dont la date de
modification est $2, de format "YYYYmmddHHMM" exprimée dans le timezone
UTC
C'est le cas si le fichier $1 n'existe pas, ou a une date de modification
antérieure à $2
~~~
## `twcheck_twpage_newtwpage`
~~~
Vérifier si la twpage $1 peut être écrasée par la twpage $2
C'est le cas si le fichier $1 n'existe pas, ou a une date de modification
antérieure à $2
~~~
## `twwrite_twpage`
~~~
Ecrire dans le répertoire courant le fichier correspondant au tiddler dont
les paramètres sont spécifiés sur la ligne de commande. Les arguments sont
les valeurs brutes prises du tiddler, telles qu'elles sont générées par
twdump_tiddlers()
Retourner 0 si le fichier a été écrasé, 1 s'il n'a pas été écrasé parce
qu'il n'a pas été modifié, 2 s'il n'a pas été écrasé parce qu'il est plus
récent.
Si TW_VERBOSE=1, afficher un message informatif lors de l'export
~~~
## `export_to_twpages`
~~~
Exporter tous les tiddlers du tiddlywiki $1 dans le répertoire $2
~~~
## `import_from_twpages`
~~~
Remplacer les tiddlers du tiddlywiki $1 par les twpages du répertoire $2
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary